import { useEffect } from "react";
import { useParams } from "react-router-dom";

import { socket } from "./socket";
import { useAppSelector } from "./hooks";
import { selectCategories, selectActiveClue } from "./store/cluesSlice";
import Pregame from "./host/Pregame";
import ActiveClue from "./host/ActiveClue";
import CluesDisplay from "./host/CluesDisplay";

const Host = () => {
  const { room } = useParams();

  const activeClue = useAppSelector(selectActiveClue);
  const categories = useAppSelector(selectCategories);

  useEffect(() => {
    socket.emit("host-join", { room });
  }, []);

  if (categories.length < 6) {
    return <Pregame />;
  } else if (activeClue) {
    return <ActiveClue activeClue={activeClue} />;
  } else {
    return <CluesDisplay />;
  }
};

export default Host;
