import { Container, Stack, Button } from "react-bootstrap";

import { useAppDispatch } from "../hooks";
import { setActiveClue } from "../store/cluesSlice";
import type { Clue } from "../store/cluesSlice";

interface Props {
  activeClue: Clue;
}

// TODO implement timer

const ActiveClue = ({ activeClue }: Props) => {
  const dispatch = useAppDispatch();
  return (
    <Container>
      <p>{activeClue.question}</p>
      <Stack gap={3} className="text-center">
        <Button onClick={() => dispatch(setActiveClue(null))}>
          Start Timer
        </Button>
      </Stack>
    </Container>
  );
};

export default ActiveClue;
